- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Registry File Reference

`#include <osg/ref_ptr>`
`#include <osg/ArgumentParser>`
`#include <osgDB/DynamicLibrary>`
`#include <osgDB/ReaderWriter>`
`#include <osgDB/DotOsgWrapper>`
`#include <osgDB/DatabasePager>`
`#include <vector>`
`#include <map>`
`#include <string>`

Include dependency graph for osgDB/Registry:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgDB
## Classes
struct | osgDB::basic_type_wrapper
| basic structure for custom runtime inheritance checking More...
struct | osgDB::type_wrapper< T >
| a class template that checks inheritance between a given Object's class and a class defined at compile time through the template parameter T. More...
class | osgDB::Registry
| Registry is a singleton factory which stores the reader/writers which are linked in at runtime for reading non-native file formats. More...
class | osgDB::Registry::ReadFileCallback
class | osgDB::Registry::WriteFileCallback
struct | osgDB::Registry::ReadFunctor
| Functor used in internal implementations. More...
class | osgDB::RegisterDotOsgWrapperProxy
| Proxy class for automatic registration of DotOsgWrappers with the Registry. More...
class | osgDB::RegisterReaderWriterProxy< T >
| Proxy class for automatic registration of reader/writers with the Registry. More...
## Defines
#define | OSGDB_REGISTRY 1
## Functions
void | osgDB::readCommandLine (osg::ArgumentParser &parser)
| read the command line arguments.

## Define Documentation

#define OSGDB_REGISTRY 1